Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF9
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF4
-rw-r--r--plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF6
-rw-r--r--plugins/uml/alf/org.eclipse.papyrus.uml.alf.ui/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/alf/org.eclipse.papyrus.uml.alf/META-INF/MANIFEST.MF4
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF3
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF7
-rw-r--r--plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF1
-rw-r--r--plugins/views/documentation/org.eclipse.papyrus.views.documentation.view/META-INF/MANIFEST.MF1
9 files changed, 13 insertions, 26 deletions
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
index c89d6cbdba8..8776fe4e1e9 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.decoration/META-INF/MANIFEST.MF
@@ -7,15 +7,14 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0",
+ org.apache.commons.lang;bundle-version="2.4.0",
+ org.eclipse.emf.facet.infra.browser.uicore;bundle-version="0.2.0",
+ org.eclipse.emf.ecore;bundle-version="2.8.0",
org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Bundle-Vendor: %providerName
Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.services.decoration.Activator
Bundle-SymbolicName: org.eclipse.papyrus.infra.services.decoration;singleton:=true
-Import-Package: org.apache.commons.lang;version="2.4.0",
- org.eclipse.core.resources,
- org.eclipse.emf.facet.infra.browser.uicore.internal.model,
- org.eclipse.papyrus.infra.core.editorsfactory,
- org.eclipse.papyrus.infra.core.log
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
index d418d16482d..95e224b8cd4 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.edit/META-INF/MANIFEST.MF
@@ -3,7 +3,8 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
org.eclipse.emf;bundle-version="2.6.0",
org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0"
+ org.eclipse.papyrus.infra.core.log;bundle-version="0.9.0",
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.infra.services.edit,
org.eclipse.papyrus.infra.services.edit.commands,
org.eclipse.papyrus.infra.services.edit.internal;x-internal:=true,
@@ -21,5 +22,4 @@ Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.services.edit.Activator
Bundle-SymbolicName: org.eclipse.papyrus.infra.services.edit;singleton:=true
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Import-Package: org.eclipse.papyrus.infra.core.services
diff --git a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
index be219073ad4..021a56928ff 100644
--- a/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
+++ b/plugins/infra/services/org.eclipse.papyrus.infra.services.markerlistener/META-INF/MANIFEST.MF
@@ -4,7 +4,9 @@ Require-Bundle: org.eclipse.ui,
org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
org.eclipse.core.resources;bundle-version="3.7.0",
org.eclipse.emf.transaction;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.common.ui;bundle-version="1.5.0"
+ org.eclipse.gmf.runtime.common.ui;bundle-version="1.5.0",
+ org.eclipse.papyrus.infra.services.decoration;bundle-version="0.9.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="0.9.0"
Export-Package: org.eclipse.papyrus.infra.services.markerlistener
Bundle-Vendor: %providerName
Bundle-ActivationPolicy: lazy
@@ -13,7 +15,5 @@ Bundle-Name: %pluginName
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.infra.services.markerlistener.Activator
Bundle-SymbolicName: org.eclipse.papyrus.infra.services.markerlistener;singleton:=true
-Import-Package: org.eclipse.papyrus.uml.diagram.common.util,
- org.eclipse.papyrus.infra.services.decoration
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Localization: plugin
diff --git a/plugins/uml/alf/org.eclipse.papyrus.uml.alf.ui/META-INF/MANIFEST.MF b/plugins/uml/alf/org.eclipse.papyrus.uml.alf.ui/META-INF/MANIFEST.MF
index 81f3ea7df35..b3366058b89 100644
--- a/plugins/uml/alf/org.eclipse.papyrus.uml.alf.ui/META-INF/MANIFEST.MF
+++ b/plugins/uml/alf/org.eclipse.papyrus.uml.alf.ui/META-INF/MANIFEST.MF
@@ -14,8 +14,8 @@ Require-Bundle: org.eclipse.xtext.ui,
org.antlr.runtime,
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.9.0",
- org.eclipse.papyrus.uml.alf;bundle-version="0.9.0"
-Import-Package: org.apache.log4j
+ org.eclipse.papyrus.uml.alf;bundle-version="0.9.0",
+ org.apache.log4j;bundle-version="1.2.15"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-Activator: org.eclipse.papyrus.uml.alf.ui.internal.AlfActivator
Export-Package: org.eclipse.papyrus.uml.alf.ui.contentassist,
diff --git a/plugins/uml/alf/org.eclipse.papyrus.uml.alf/META-INF/MANIFEST.MF b/plugins/uml/alf/org.eclipse.papyrus.uml.alf/META-INF/MANIFEST.MF
index 8cca603da66..1be749afec3 100644
--- a/plugins/uml/alf/org.eclipse.papyrus.uml.alf/META-INF/MANIFEST.MF
+++ b/plugins/uml/alf/org.eclipse.papyrus.uml.alf/META-INF/MANIFEST.MF
@@ -20,8 +20,8 @@ Require-Bundle: org.eclipse.xtext,
org.eclipse.uml2.uml;bundle-version="3.2.0",
org.eclipse.xtext.gmf.glue;bundle-version="0.8.0",
org.eclipse.papyrus.uml.extensionpoints;bundle-version="0.9.0",
- org.eclipse.papyrus.infra.core;bundle-version="0.9.0"
-Import-Package: org.apache.log4j
+ org.eclipse.papyrus.infra.core;bundle-version="0.9.0",
+ org.apache.log4j;bundle-version="1.2.15"
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Export-Package: org.eclipse.papyrus.uml.alf,
org.eclipse.papyrus.uml.alf.alf,
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
index 8f0832518c9..2a18d2cdd86 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.communication/META-INF/MANIFEST.MF
@@ -69,7 +69,4 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.diagram.communication.part.UMLDiagramEditorPlugin
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.communication;singleton:=true
-Import-Package: org.eclipse.papyrus.uml.diagram.communication.custom.edit.policies,
- org.eclipse.papyrus.uml.diagram.communication.custom.helper,
- org.eclipse.papyrus.infra.services.edit.service
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
index 25801586097..107af098993 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.deployment/META-INF/MANIFEST.MF
@@ -50,11 +50,4 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.diagram.deployment.part.UMLDiagramEditorPlugin
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.deployment;singleton:=true
-Import-Package: org.eclipse.papyrus.editor,
- org.eclipse.papyrus.infra.gmfdiag.common,
- org.eclipse.papyrus.infra.services.edit.service,
- org.eclipse.papyrus.uml.diagram.common.figure.node,
- org.eclipse.papyrus.uml.diagram.deployment.edit.parts,
- org.eclipse.papyrus.uml.diagram.deployment.part,
- org.eclipse.papyrus.uml.service.types.element
diff --git a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
index 41ca049c432..e0eeaeb786a 100644
--- a/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
+++ b/plugins/uml/diagram/org.eclipse.papyrus.uml.diagram.usecase/META-INF/MANIFEST.MF
@@ -68,4 +68,3 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.diagram.usecase.part.UMLDiagramEditorPlugin
Bundle-SymbolicName: org.eclipse.papyrus.uml.diagram.usecase; singleton:=true
-Import-Package: org.eclipse.papyrus.uml.tools.listeners
diff --git a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view/META-INF/MANIFEST.MF b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view/META-INF/MANIFEST.MF
index 84d3a2e9c73..cf9e3b2106f 100644
--- a/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view/META-INF/MANIFEST.MF
+++ b/plugins/views/documentation/org.eclipse.papyrus.views.documentation.view/META-INF/MANIFEST.MF
@@ -17,5 +17,4 @@ Bundle-Version: 0.9.0.qualifier
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.views.documentation.view.DocViewPlugin
Bundle-SymbolicName: org.eclipse.papyrus.views.documentation.view;singleton:=true
-Import-Package: org.eclipse.ui.views.contentoutline

Back to the top